Bug 1001690 - Libraries missing in library distribution
Libraries missing in library distribution
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER3
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 1010419
  Show dependency treegraph
 
Reported: 2013-08-27 10:12 EDT by Martin Gencur
Modified: 2014-04-28 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gencur 2013-08-27 10:12:15 EDT
The following is a diff of libraries that are required by supported modules of infinispan (at git://git.app.eng.bos.redhat.com/infinispan/infinispan.git, DR3 tag) and libraries in the library distribution for DR3.

Lines starting with ">" say that the library is present in the library distribution but not required by infinispan.
Lines starting with "<" denote libraries missing in the library distribution that are, however, required by infinispan modules. The list of required dependencies acquired by "mvn dependency:list" command, excluding the following modules: integrationtests, demos, tools, license, tree, tck-runner, spring, websocket, jcache


11d4
< commons-collections-3.2.1-redhat-2.jar
15d7
< getopt-1.0.13-redhat-2.jar
21,34d12
< hibernate-search-infinispan-4.4.0.Alpha1.jar
< httpclient-4.2.1-redhat-1.jar
< httpcore-4.2.1-redhat-1.jar
< i18nlog-1.0.10.jar
< infinispan-cachestore-jdbc-6.0.0.Alpha3-redhat-1.jar
< infinispan-client-hotrod-6.0.0.Alpha3-redhat-1.jar
< infinispan-commons-6.0.0.Alpha3-redhat-1.jar
< infinispan-core-6.0.0.Alpha3-redhat-1.jar
< infinispan-jcache-6.0.0.Alpha3-redhat-1.jar
< infinispan-lucene-directory-6.0.0.Alpha3-redhat-1.jar
< infinispan-query-dsl-6.0.0.Alpha3-redhat-1.jar
< infinispan-server-core-6.0.0.Alpha3-redhat-1.jar
< infinispan-server-hotrod-6.0.0.Alpha3-redhat-1.jar
< infinispan-server-memcached-6.0.0.Alpha3-redhat-1.jar
37,42c15
< jansi-1.9-redhat-1.jar
< javassist-3.15.0-GA-redhat-2.jar
< javax.inject-1-redhat-3.jar
< jboss-annotations-api_1.1_spec-1.0.1.Final-redhat-2.jar
< jboss-interceptors-api_1.1_spec-1.0.1.Final-redhat-2.jar
< jboss-jaxrs-api_1.1_spec-1.0.1.Final-redhat-2.jar
---
> jbossjts-jacorb-4.17.4.Final-redhat-2.jar
46,49c19
< jboss-transaction-api_1.1_spec-1.0.1.Final-redhat-2.jar
< jcip-annotations-1.0-redhat-3.jar
< jcl-over-slf4j-1.7.2-redhat-1.jar
< jdom-1.0.jar
---
> jcip-annotations-1.0-redhat-2.jar
54d23
< lucene-core-3.6.2-redhat-1.jar
66,67d34
< netty-3.6.6.Final-redhat-1.jar
< org.osgi.core-4.2.0-redhat-3.jar
71,75d37
< resteasy-jaxrs-2.3.6.Final-redhat-1.jar
< rhq-core-native-system-4.4.0.JON310GA.jar
< rhq-core-util-4.4.0.JON310GA.jar
< scala-library-2.10.2.redhat-1.jar
< scannotation-1.0.2-redhat-2.jar
81d42
< stream-2.2.0.jar
83,86d43
< tools-1.6.0.jar
< xpp3-1.1.4c-redhat-2.jar
< xpp3_min-1.1.4c-redhat-2.jar
< xstream-1.4.1-redhat-2.jar
Comment 2 Martin Gencur 2013-08-29 09:41:30 EDT
Please ignore Infinispan artifacts (lines starting with "< infinispan-") , these dependencies really are in the library distribution.
Comment 3 Tristan Tarrant 2013-09-10 04:59:43 EDT
Martin, the above list is not entirely correct.

- We don't need any of the rhq-plugin deps (since they are provided by the agent container)
- We don't want to package the server components


Can you please update your checks against DR4 and the above considerations ?
Comment 4 Martin Gencur 2013-09-10 05:15:18 EDT
Thanks for the info, Tristan. I'll re-run this test for DR4 and update this BZ.
Comment 5 Martin Gencur 2013-09-10 08:48:27 EDT
Current diff looks like this:

1,3d0
< 
< activation-1.1.1-redhat-2.jar
< aesh-0.33.3-redhat-1.jar
7,9d3
< cache-api-0.8.jar
< cdi-api-1.0-SP4-redhat-2.jar
11d4
< commons-collections-3.2.1-redhat-2.jar
15,16d7
< getopt-1.0.13-redhat-2.jar
< hibernate-commons-annotations-4.0.1.Final-redhat-2.jar
19d9
< hibernate-search-analyzers-4.4.0.Alpha1.jar
21,37d10
< httpclient-4.2.1-redhat-1.jar
< httpcore-4.2.1-redhat-1.jar
< i18nlog-1.0.10.jar
40,45d12
< jansi-1.9-redhat-1.jar
< javassist-3.15.0-GA-redhat-2.jar
< javax.inject-1-redhat-3.jar
< jboss-annotations-api_1.1_spec-1.0.1.Final-redhat-2.jar
< jboss-interceptors-api_1.1_spec-1.0.1.Final-redhat-2.jar
< jboss-jaxrs-api_1.1_spec-1.0.1.Final-redhat-2.jar
49,52c16
< jboss-transaction-api_1.1_spec-1.0.1.Final-redhat-2.jar
< jcip-annotations-1.0-redhat-4.jar
< jcl-over-slf4j-1.7.2-redhat-1.jar
< jdom-1.0.jar
---
> jcip-annotations-1.0-redhat-2.jar
56d19
69,70c32
< netty-3.6.6.Final-redhat-1.jar
< org.osgi.core-4.2.0-redhat-3.jar
---
> narayana-jta-4.17.4.Final-redhat-2.jar
74,79d35
< resteasy-jaxrs-2.3.6.Final-redhat-1.jar
< scala-library-2.10.2.redhat-1.jar
< scannotation-1.0.2-redhat-2.jar
< slf4j-api-1.7.2-redhat-1.jar
84d39
< stream-2.2.0.jar
86,89d40
< tools-1.6.0.jar
< xpp3-1.1.4c-redhat-2.jar
< xpp3_min-1.1.4c-redhat-2.jar
< xstream-1.4.1-redhat-2.jar

Some of the missing deps above do not have the -redhat-xx classifier. I don't know whether we productize any of them. If we don't do that, you can ignore them.
Comment 6 Tristan Tarrant 2013-09-10 09:41:09 EDT
Scala, Netty and RestEasy, xpp, xstream, httpclient/httpcore  are server-only (and therefore also jboss-jaxrs-api)
Tools 1.6.0 is part of JDK
jdom, i18nlog is for RHQ
stream is for the extended-statistics (which we don't package)
Comment 8 Martin Gencur 2013-09-23 08:26:23 EDT
This is a diff for ER1. Again, lines starting with < are libraries required by one of infinispan modules. Lines starting > are libraries present in library distro but not required.

Worth mentioning are httpclient, httpcore, i18nlog, jdom. These don't have to be in the distro. There are also a few missing libs. 

1,2d0
< 
< activation-1.1.1-redhat-2.jar
7d4
< c3p0-0.9.1.2.jar
15a13,14
> guava-13.0.1-redhat-1.jar
> hawtjni-runtime-1.8.jar
21a21,24
> httpclient-4.2.1-redhat-1.jar
> httpcore-4.2.1-redhat-1.jar
> i18nlog-1.0.10.jar
> infinispan-adaptor52x-6.0.0.Beta1-redhat-1.jar
22a26,30
> infinispan-cachestore-leveldb-6.0.0.Beta1-redhat-1.jar
> infinispan-cachestore-remote-6.0.0.Beta1-redhat-1.jar
> infinispan-cachestore-rest-6.0.0.Beta1-redhat-1.jar
> infinispan-cdi-6.0.0.Beta1-redhat-1.jar
> infinispan-cli-client-6.0.0.Beta1-redhat-1.jar
23a32
> infinispan-cli-server-6.0.0.Beta1-redhat-1.jar
25d33
< infinispan-core-5.2.4.Final-redhat-1.jar
27d34
< infinispan-jcache-6.0.0.Beta1-redhat-1.jar
31,35d37
< infinispan-remote-query-client-6.0.0.Beta1-redhat-1.jar
39d40
< javassist-3.15.0-GA-redhat-2.jar
43a45
> jboss-logmanager-1.4.3.Final-redhat-1.jar
48c50
< jcip-annotations-1.0-redhat-4.jar
---
> jcip-annotations-1.0-redhat-2.jar
49a52
> jdom-1.0.jar
53d55
< lucene-core-3.6.2.jar
66c68
< org.osgi.core-4.2.0-redhat-3.jar
---
> narayana-jta-4.17.7.Final-redhat-4.jar
68,71d69
< protobuf-java-2.5.0.jar
< scannotation-1.0.2-redhat-2.jar
76d73
< staxmapper-1.1.0.Final-redhat-2.jar
Comment 9 Martin Gencur 2013-09-23 08:34:02 EDT
lucene-core-3.6.2-redhat-1 is included in the distro, not lucene-core-3.6.2.jar. I suppose this is OK.
Comment 10 Tristan Tarrant 2013-10-05 07:51:25 EDT
org.osgi.core-4.2.0-redhat-3.jar is not required, and should be provided by an OSGi environment
infinispan-core-5.2.4.Final-redhat-1.jar is not required
infinispan-jcache-6.0.0.Beta1-redhat-1.jar isn't needed by the cdi module anymore
infinispan-remote-query-client-6.0.0.Beta1-redhat-1.jar is included with the hotrod client in the server distro
Comment 11 Martin Gencur 2013-10-08 08:13:50 EDT
The following libraries are still missing from the library distro:

c3p0-0.9.1.2.jar - for jdbc cache store
net.jcip:jcip-annotations:jar:1.0-redhat-4:compile - for CLI client, CDI support
(the distribution contains 1.0-redhat-2)
ST4-4.0.7.jar - a compile time dependency of Remote Query API (not sure it's needed at runtime)


Most of the required libraries were added in ER2. Even though there are still some libs missing, I don't think this is a blocker for JDG 6.2 Beta anymore. So removing the jdg62-Beta-Blockers label.
Comment 12 Martin Gencur 2013-10-09 08:05:34 EDT
Reacting to the reply from Mircea - we need to add at least these libraries:

* staxmapper-1.1.0.Final-redhat-2.jar
* stringtemplate-3.2.1.jar (with redhat suffix?)
* c3p0-0.9.1.2.jar (with redhat suffix?)

(protobuf-java is included in the server distribution under client/hotrod/java so no need to include it)

Setting back to "blocker for Beta"
Comment 13 Tristan Tarrant 2013-10-09 08:25:01 EDT
staxmapper is not needed for embedded
c3p0 is not productized, users should use their own or (preferably a managed datasource)
stringtemplate (and antlr) need to be productized, but that will happen later
Comment 15 Tristan Tarrant 2013-10-18 07:19:26 EDT
Fixed in ER3.1
Comment 16 Martin Gencur 2013-10-18 07:21:55 EDT
ER3.1 update:
* jcip-annotations has now correct version
* jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar added
* ST4-4.0.7.jar added

Marking this as verified.

Note You need to log in before you can comment on or make changes to this bug.